-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/33849/#review82524
-----------------------------------------------------------


A couple nits, but structurally looks good to me overall. Mainly just some 
things I'd like to see cleaned up "while we're here"


configure.ac
<https://reviews.apache.org/r/33849/#comment133264>

    Can you check ax_cxx_compiler_version >= Clang/LLVM 3.5 here? Or does that 
not work on both OS X and Linux?



configure.ac
<https://reviews.apache.org/r/33849/#comment133263>

    Not something you need to do here, but would be nice if we used more or 
less the same check for 'Wno-unused-local-typedef' for both clang and gcc since 
you can easily tell which compiler it is now and update the added flag.



configure.ac
<https://reviews.apache.org/r/33849/#comment133265>

    I know this is a mess I left, but it's not overly clean here that we bundle 
the gcc 4.8 version warning with the "unused local typedef" flag adding, could 
you pull out the "is <= gcc 4.8" check to be its own line, then unconditionally 
adding '-Wno-unused-local-typedefs', or using the clang check mentioned above.


- Cody Maloney


On May 5, 2015, 3:53 p.m., James Peach wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/33849/
> -----------------------------------------------------------
> 
> (Updated May 5, 2015, 3:53 p.m.)
> 
> 
> Review request for mesos, Benjamin Hindman, Cody Maloney, and Timothy St. 
> Clair.
> 
> 
> Bugs: MESOS-2666
>     https://issues.apache.org/jira/browse/MESOS-2666
> 
> 
> Repository: mesos
> 
> 
> Description
> -------
> 
> Import the AX_COMPILER_VERSION and AX_COMPILER_VENDOR macros from
> the autoconf archive and use them to detect and configure the
> supported copmilers.
> 
> 
> Diffs
> -----
> 
>   configure.ac 14658f6f6920549f1948b8bd8890c67bc067e3dd 
>   m4/ax_compiler_vendor.m4 PRE-CREATION 
>   m4/ax_compiler_version.m4 PRE-CREATION 
> 
> Diff: https://reviews.apache.org/r/33849/diff/
> 
> 
> Testing
> -------
> 
> Make check on CentOS 7 and Mac OS X 10.10.3. Verified that the default CentOS 
> 6 GCC toolchain is still rejected as too old.
> 
> 
> Thanks,
> 
> James Peach
> 
>

Reply via email to